Index: /branches/2.0/language/pt_BR/about.html
===================================================================
--- /branches/2.0/language/pt_BR/about.html	(revision 3919)
+++ /branches/2.0/language/pt_BR/about.html	(revision 3919)
@@ -0,0 +1,6 @@
+  <li>Piwigo é uma aplicação web que permite a criação de uma galeria de imagens on line.</li>
+
+  <li>Piwigo é desenvolevido em PHP com uma base de dados MySQL.</li>
+
+  <li>Se houver sugestões ou comentários, visite o <a
+  href="http://piwigo.org">sitio oficial</a> e <a href="http://piwigo.org/forum">seu forum</a>.</li>
Index: /branches/2.0/language/pt_BR/common.lang.php
===================================================================
--- /branches/2.0/language/pt_BR/common.lang.php	(revision 3919)
+++ /branches/2.0/language/pt_BR/common.lang.php	(revision 3919)
@@ -0,0 +1,368 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Langage informations
+$lang_info['language_name'] = 'Português';
+$lang_info['country'] = 'Brasil';
+$lang_info['direction'] = 'ltr';
+$lang_info['code'] = 'pt';
+$lang_info['zero_plural'] = false;
+
+$lang['%.2f (rated %d times, standard deviation = %.2f)'] = '%.2f (avaliada %d vezes, margem de erro = %.2f)';
+$lang['%d Kb'] = '%d Kb';
+$lang['%d category updated'] = '%d categoria atualizada';
+$lang['%d categories updated'] = '%d categorias atualizadas';
+$lang['%d comment to validate'] = '%d comentário para aprovar';
+$lang['%d comments to validate'] = '%d comentários para serem aprovados';
+$lang['%d new comment'] = '%d novo comentário';
+$lang['%d new comments'] = '%d novos comentários';
+$lang['%d comment'] = '%d comentário';
+$lang['%d comments'] = '%d comentários';
+$lang['%d hit'] = 'visto %d vez';
+$lang['%d hits'] = 'visto %d vezes';
+$lang['%d new element'] = '%d imagem nova';
+$lang['%d new elements'] = '%d imagens novas';
+$lang['%d new user'] = '%d usuário novo';
+$lang['%d new users'] = '%d usuários novos';
+$lang['%d waiting element'] = '%d elemento à espera';
+$lang['%d waiting elements'] = '%d elementos à espera';
+$lang['About'] = 'Sobre';
+$lang['All tags must match'] = 'Todas as tags devem corresponder';
+$lang['All tags'] = 'Todas as tags';
+$lang['Any tag'] = 'qualquer tag';
+$lang['At least one listed rule must be satisfied.'] = 'Ao menos um dos critérios deve ser satisfeito.';
+$lang['At least one tag must match'] = 'Ao menos uma das tags deve corresponder';
+$lang['Author'] = 'Autor';
+$lang['Average rate'] = 'Nota média';
+$lang['Categories'] = 'Categorias';
+$lang['Category'] = 'Categoria';
+$lang['Close this window'] = 'Fechar esta janela';
+$lang['Complete RSS feed'] = 'RSS completo';
+$lang['Confirm Password'] = 'Confirmar senha';
+$lang['Connection settings'] = 'dados da conexão';
+$lang['Connection'] = 'Conexão';
+$lang['Contact webmaster'] = 'Contatar o webmaster';
+$lang['Create a new account'] = 'Criar uma nova conta';
+$lang['Created on'] = 'Criada em';
+$lang['Creation date'] = 'Data de criação';
+$lang['Current password is wrong'] = 'A senha atual está errada';
+$lang['Dimensions'] = 'Dimensões';
+$lang['Display'] = 'Mostrar';
+$lang['Each listed rule must be satisfied.'] = 'Todos os critérios devem ser satisfeitos';
+$lang['Email address is missing'] = 'Está faltando o endereço de email';
+$lang['Email address'] = 'Endereço de email';
+$lang['Enter your personnal informations'] = 'Introduza suas informações pessoais';
+$lang['Error sending email'] = 'Erro durante o envio do email';
+$lang['File name'] = 'Nome do arquivo';
+$lang['File'] = 'Arquivo';
+$lang['Filesize'] = 'Tamanho do arquivo';
+$lang['Filter and display'] = 'Filtrar e mostrar';
+$lang['Filter'] = 'Filtro';
+$lang['Forgot your password?'] = 'Esqueceu sua senha?';
+$lang['Go through the gallery as a visitor'] = 'Percorer a galeria como visitante';
+$lang['Help'] = 'Ajuda';
+$lang['Identification'] = 'Identificação';
+$lang['Image only RSS feed'] = 'RSS das imagens';
+$lang['Keyword'] = 'Palavra chave';
+$lang['Links'] = 'Links';
+$lang['Mail address'] = 'Endereço';
+$lang['N/A'] = 'Não disponível';
+$lang['New on %s'] = 'Novo em %s';
+$lang['New password confirmation does not correspond'] = 'Erro na confirmação da senha';
+$lang['New password sent by email'] = 'Nova senha enviada por email';
+$lang['No email address'] = 'Falta o endereço de email';
+$lang['No user matches this email address'] = 'O endereço de email não corresponde a usário algum';
+$lang['Notification'] = 'Notificação';
+$lang['Number of items'] = 'Número de itens';
+$lang['Original dimensions'] = 'Dimensão original';
+$lang['Password forgotten'] = 'Senha perdida';
+$lang['Password'] = 'Senha';
+$lang['Post date'] = 'Data de envio';
+$lang['Posted on'] = 'Enviado em';
+$lang['Profile'] = 'Perfil';
+$lang['Quick connect'] = 'Conexão rápida';
+$lang['RSS feed'] = 'fluxo RSS';
+$lang['Rate'] = 'Nota';
+$lang['Register'] = 'Registrar-se';
+$lang['Registration'] = 'Registro';
+$lang['Related tags'] = 'Tags relacionados';
+$lang['Reset'] = 'Cancelar';
+$lang['Retrieve password'] = 'Recuperar a senha';
+$lang['Search rules'] = 'Critérios de busca';
+$lang['Search tags'] = 'Pesquisar as tags';
+$lang['Search'] = 'Pesquisa';
+$lang['See available tags'] = 'Ver as tags disponíveis';
+$lang['Send new password'] = 'Enviar a nova senha';
+$lang['Since'] = 'Desde ';
+$lang['Sort by'] = 'Listado por';
+$lang['Sort order'] = 'Ordem de exibição';
+$lang['Tag'] = 'Tag';
+$lang['Tags'] = 'Tags';
+$lang['The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader.'] = 'O RSS notifica dos eventos da galeria : novas imagens, categorias actualizadas, Novos comentários usários. Use um leitor de fluxos RSS.';
+$lang['Unknown feed identifier'] = 'identificador de fluxo RSS desconhecido';
+$lang['User comments'] = 'Comentários de usuário';
+$lang['Username'] = 'Nome de usuário';
+$lang['Visits'] = 'Visitas';
+$lang['Webmaster'] = 'Webmaster';
+$lang['Week %d'] = 'Semana %d';
+$lang['about_page_title'] = 'Sobre Piwigo';
+$lang['access_forbiden'] = 'Acesso proibido';
+$lang['add to caddie'] = 'Acrescentar à cesta';
+$lang['add_favorites_hint'] = 'Acrescentar aos favoritos';
+$lang['admin'] = 'Administração';
+$lang['adviser_mode_enabled'] = 'Modo de aviso ativo';
+$lang['all'] = 'tudo';
+$lang['ascending'] = 'crescente';
+$lang['author(s) : %s'] = 'autor(es) : %s';
+$lang['auto_expand'] = 'Expandir todas as categorias';
+$lang['became available after %s (%s)'] = 'disponível depois de %s (%s)';
+$lang['became available before %s (%s)'] = 'disponível antes de %s (%s)';
+$lang['became available between %s (%s) and %s (%s)'] = 'disponível entre o %s (%s) e o %s (%s)';
+$lang['became available on %s'] = 'disponível em %s';
+$lang['best_rated_cat'] = 'Com a melhor pontuação';
+$lang['best_rated_cat_hint'] = 'Mostrar as imagens com as notas mais altas';
+$lang['caddie'] = 'cesta';
+$lang['calendar'] = 'Calendário';
+$lang['calendar_any'] = 'Todo';
+$lang['calendar_hint'] = 'Mostrar ano por ano, mês por mês, dia por dia';
+$lang['calendar_picture_hint'] = 'Mostra as imagens que foram adicionadas em';
+$lang['calendar_view'] = 'Vista';
+$lang['chronology_monthly_calendar'] = 'Calendário mensal';
+$lang['chronology_monthly_list'] = 'Lista mensal';
+$lang['chronology_weekly_list'] = 'Lista semanal';
+$lang['click_to_redirect'] = 'Clique aqui se o seu browser não o redirecionar automaticamente.';
+$lang['comment date'] = 'data do comentário';
+$lang['comment'] = 'comentário';
+$lang['comment_added'] = 'O seu comentário foi registrado.';
+$lang['comment_anti-flood'] = 'Sistema conta abuso : Por favor, espere um momento antes de tentar escrever um novo comentario';
+$lang['comment_not_added'] = 'O seu comentário não pôde ser registado porque não passou pelas regras de validação';
+$lang['comment_to_validate'] = 'Um administrador deve autorizar o seu comentário para que ele seja visível por todos.';
+$lang['comment_user_exists'] = 'Este login já está sendo usado por outro usuário.';
+$lang['comments'] = 'Comentários';
+$lang['comments_add'] = 'Adicionar um comentário';
+$lang['created after %s (%s)'] = 'criado depois de %s (%s)';
+$lang['created before %s (%s)'] = 'criado antes de %s (%s)';
+$lang['created between %s (%s) and %s (%s)'] = 'Criada entre  %s (%s) e  %s (%s)';
+$lang['created on %s'] = 'criado em %s';
+$lang['customize'] = 'Personalizar';
+$lang['customize_page_title'] = 'Personalização Da Sua Galeria';
+$lang['day'][0] = 'Domingo';
+$lang['day'][1] = 'Segunda-feira';
+$lang['day'][2] = 'Terça-feira';
+$lang['day'][3] = 'Quarta-feira';
+$lang['day'][4] = 'Quinta-eira';
+$lang['day'][5] = 'Sexta-feira';
+$lang['day'][6] = 'Sábado';
+$lang['default_sort'] = 'Padrão';
+$lang['del_favorites_hint'] = 'Apague esta imagem de seus favoritos';
+$lang['delete'] = 'Apagar';
+$lang['descending'] = 'decrescente';
+$lang['download'] = 'baixar';
+$lang['download_hint'] = 'baixar este arquivo';
+$lang['edit'] = 'editar';
+$lang['err_date'] = 'data errada';
+$lang['excluded'] = 'excluídos';
+$lang['favorite_cat'] = 'Meus favoritos';
+$lang['favorite_cat_hint'] = 'Mostrar minhas imagens favoritas';
+$lang['favorites'] = 'Favoritas';
+$lang['first_page'] = 'Primeira página';
+$lang['gallery_locked_message'] = 'A galeria está bloqueada para manutenção. Por favor, volte mais tarde.';
+$lang['generation_time'] = 'Página gerada em';
+$lang['guest'] = 'visitante';
+$lang['hello'] = 'Olá';
+$lang['hint_admin'] = 'disponível apenas para os administradores';
+$lang['hint_category'] = 'mostra as imagens do diretório raíz desta categoria';
+$lang['hint_comments'] = 'Ver os últimos comentários de usuários';
+$lang['hint_customize'] = 'personalisar a aparência da galeria';
+$lang['hint_search'] = 'Pesquisar';
+$lang['home'] = 'Início';
+$lang['identification'] = 'identificação';
+$lang['images_available_cpl'] = 'nesta categoria';
+$lang['images_available_cat'] = 'em %d subcategoria';
+$lang['images_available_cats'] = 'em %d subcategorias';
+$lang['included'] = 'incluídos';
+$lang['invalid_pwd'] = 'Senha inválida!';
+$lang['language'] = 'Idioma';
+$lang['last %d days'] = '%d últimos dias';
+$lang['last_page'] = 'Última página';
+$lang['logout'] = 'Desconectar (logout)';
+$lang['mail_address'] = 'E-mail address';
+$lang['mandatory'] = 'obrigatório';
+$lang['maxheight'] = 'Altura máxima das imagens';
+$lang['maxheight_error'] = 'A altura máxima das imagens deve ser um número superior a 50';
+$lang['maxwidth'] = 'Largura máxima das imagens';
+$lang['maxwidth_error'] = 'A largura máxima das imagens deve ser um número superior a 50';
+$lang['mode_created_hint'] = 'Mostra um calendário ordenado pela data de criação';
+$lang['mode_flat_hint'] = 'Mostra todos os elementos em todas as subcategorias';
+$lang['mode_normal_hint'] = 'voltar à exibição normal';
+$lang['mode_posted_hint'] = 'Mostrar um calendário por data de envio das imagens';
+$lang['month'][10] = 'outubro';
+$lang['month'][11] = 'novembro';
+$lang['month'][12] = 'dezembro';
+$lang['month'][1] = 'janeiro';
+$lang['month'][2] = 'fevereiro';
+$lang['month'][3] = 'março';
+$lang['month'][4] = 'abril';
+$lang['month'][5] = 'maio';
+$lang['month'][6] = 'junho';
+$lang['month'][7] = 'julho';
+$lang['month'][8] = 'agosto';
+$lang['month'][9] = 'setembro';
+$lang['most_visited_cat'] = 'Mais visitadas';
+$lang['most_visited_cat_hint'] = 'Mostra as imagens mais visitadas';
+$lang['nb_image_line_error'] = 'O número de imagens por linha deve ser inteiro e não nulo';
+$lang['nb_image_per_row'] = 'Número de imagens por linha';
+$lang['nb_line_page_error'] = 'O número de linhas por página deve ser inteiro e não nulo';
+$lang['nb_row_per_page'] = 'Número de linhas por página';
+$lang['nbm_unknown_identifier'] = 'Origem desconhecida';
+$lang['new_password'] = 'Senha nova';
+$lang['new_rate'] = 'Dê uma nota a esta imagem';
+$lang['next_page'] = 'Página seguinte';
+$lang['no_category'] = 'Nehuma categoria selecionada';
+$lang['no_rate'] = 'nenhuma nota';
+$lang['note_filter_day'] = 'Imagens adicionadas a partir do últimos %d dia.';
+$lang['note_filter_days'] = 'Imagens adicionadas a partir dos últimos %d dias';
+$lang['password updated'] = 'senha atualizada';
+$lang['periods_error'] = 'O período deve ser um número inteiro positivo';
+$lang['picture'] = 'imagem';
+$lang['picture_high'] = 'Clique na imagem para vê-la em alta definição';
+$lang['picture_show_metadata'] = 'Mostrar os metadados do arquivo.';
+$lang['powered_by'] = 'Powered by';
+$lang['preferences'] = 'Preferências';
+$lang['previous_page'] = 'Página anterior';
+$lang['random_cat'] = 'Imagens aleatórias';
+$lang['random_cat_hint'] = 'exibir um grupo aleatório de imagens';
+$lang['recent_cats_cat'] = 'Categorias recentes';
+$lang['recent_cats_cat_hint'] = 'Exibir categorias atualizadas recentemente.';
+$lang['recent_period'] = 'Período recente';  
+$lang['recent_pics_cat'] = 'Imagens recentes';
+$lang['recent_pics_cat_hint'] = 'Mostrar as imagens mais recentes';
+$lang['redirect_msg'] = 'Redirecionamento...';
+$lang['reg_err_login1'] = 'Por favor, entre com um nome de usuário';
+$lang['reg_err_login2'] = 'O nome de usuário não deve terminar com um espaço';
+$lang['reg_err_login3'] = 'O nome de usuário não deve começar com um espaço';
+$lang['reg_err_login5'] = 'Este nome de usuário já existe';
+$lang['reg_err_mail_address'] = 'O formato do email deve ser do tipo: xxx@yyy.eee (exemplo : jack@altern.org)';
+$lang['reg_err_pass'] = 'Por favor, digite sua senha novamente';
+$lang['remember_me'] = 'Auto login (conexão automática)';
+$lang['remove this tag'] = 'remover esta tag da lista';
+$lang['representative'] = 'representante';
+$lang['return to homepage'] = 'voltar à página de início';
+$lang['search_author'] = 'Pesquisar por autor';
+$lang['search_categories'] = 'Pesquisar nas categorias';
+$lang['search_date'] = 'Pesquisar por data';
+$lang['search_date_from'] = 'Data';
+$lang['search_date_to'] = 'Data final';
+$lang['search_date_type'] = 'Tipo de data';
+$lang['search_keywords'] = 'Pesquisar por palavras';
+$lang['search_mode_and'] = 'Pesquisar todos os termos';
+$lang['search_mode_or'] = 'Pesquisar qualquer um dos termos';
+$lang['search_one_clause_at_least'] = 'Pesquisa vazia. Nenhum critério fornecido.';
+$lang['search_options'] = 'Opções de pesquisa';
+$lang['search_result'] = 'Resultados da pesquisa';
+$lang['search_subcats_included'] = 'Pesquisar nas subcategorias';
+$lang['search_title'] = 'Pesquisa';
+$lang['searched words : %s'] = 'Palavras pesquisadas : %s';
+$lang['send_mail'] = 'Contactar';
+$lang['set as category representative'] = 'Eleger para representar esta categoria';
+$lang['show_nb_comments'] = 'Exibir o número de comentários';
+$lang['show_nb_hits'] = 'Exibir o número de vizualisações';
+$lang['slideshow'] = 'Slideshow';
+$lang['slideshow_stop'] = 'interromper o Slideshow';
+$lang['special_categories'] = 'Ferramentas';
+$lang['sql_queries_in'] = 'Pesquisa SQL em';
+$lang['start_filter_hint'] = 'exibir apenas as imagens enviadas recentemente';
+$lang['stop_filter_hint'] = 'voltar a exibir todas as imagens';
+$lang['the beginning'] = 'o início';
+$lang['theme'] = 'Tema';
+$lang['thumbnails'] = 'Miniaturas';
+$lang['title_menu'] = 'Menu';
+$lang['title_send_mail'] = 'Um comentário no seu site';
+$lang['today'] = 'hoje';
+$lang['update_rate'] = 'atualizar nota';
+$lang['update_wrong_dirname'] = 'nome de diretório errado';
+$lang['upload_advise_filesize'] = 'o tamanho da imagem não deve exceder: ';
+$lang['upload_advise_filetype'] = 'o formato de arquivo da imagem deve ser: jpg, png ou gif';
+$lang['upload_advise_height'] = 'a altura da imagem não deve exceder: ';
+$lang['upload_advise_thumbnail'] = 'Opcional, mas recomendado : escolha uma miniatura(thumbnail) para associar';
+$lang['upload_advise_width'] = 'a largura da imagem não deve exceder: ';
+$lang['upload_author'] = 'Autor';
+$lang['upload_cannot_upload'] = 'Não é possível enviar a imagem para o servidor';
+$lang['upload_err_username'] = 'Entre com o nome de usuário';
+$lang['upload_file_exists'] = 'Já existe outra imagem com o mesmo nome.';
+$lang['upload_filenotfound'] = 'Você deve escolher um formato para a imagem';
+$lang['upload_forbidden'] = 'não é possível enviar imagens nesta categoria';
+$lang['upload_name'] = 'Nome da imagem';
+$lang['upload_picture'] = 'Adicionar uma imagem';
+$lang['upload_successful'] = 'Imagem adicionada com succeso, um administrador deve avaliá-la em breve';
+$lang['upload_title'] = 'Enviar uma imagem';
+$lang['useful when password forgotten'] = 'útil em caso de senha esquecida';
+$lang['qsearch'] = 'Pesquisa Rápida';
+$lang['Connected user: %s'] = 'Usuário conectado: %s';
+$lang['IP: %s'] = 'IP: %s';
+$lang['Browser: %s'] = 'Navegador: %s';
+$lang['Author: %s'] = 'Autor: %s';
+$lang['Comment: %s'] = 'Comentário: %s';
+$lang['Delete: %s'] = 'Apagar: %s';
+$lang['Validate: %s'] = 'Validar: %s';
+$lang['Comment by %s'] = 'Comentário de %s';
+$lang['User: %s'] = 'Usuário: %s';
+$lang['Email: %s'] = 'Email: %s';
+$lang['Admin: %s'] = 'Administração: %s';
+$lang['Registration of %s'] = 'Registro de %s';
+$lang['Category: %s'] = 'Categoria: %s';
+$lang['Picture name: %s'] = 'Nome da imagem: %s';
+$lang['Creation date: %s'] = 'Data de criação: %d';
+$lang['Waiting page: %s'] = 'Página de espera: %s';
+$lang['Picture uploaded by %s'] = 'Imagem enviada por %s';
+// --------- Starting below: New or revised $lang ---- from version 1.7.1
+$lang['guest_must_be_guest'] = 'Status ruim para o usuário "guest", será usado status padrão. Por favor, avise o administrador do site.';
+// --------- Starting below: New or revised $lang ---- from Butterfly (2.0)
+$lang['Administrator, webmaster and special user cannot use this method'] = 'Administrador, webmaster e utilizador especial não podem utilizar este método';
+$lang['reg_err_mail_address_dbl'] = 'um outro usuário já utiliza este email';
+$lang['Category results for'] = 'Resultados da categoria para';
+$lang['Tag results for'] = 'Resultados da tag para';
+$lang['from %s to %s'] = 'de %s ao %s';
+$lang['start_play'] = 'Iniciar o Slideshow';
+$lang['stop_play'] = 'Parar o Slideshow';
+$lang['start_repeat'] = 'Repetir o Slideshow';
+$lang['stop_repeat'] = 'Não repetir o Slideshow';
+$lang['inc_period'] = 'Diminuir a velocidade do Slideshow';
+$lang['dec_period'] = 'Aumentar a velocidade do Slideshow';
+$lang['Submit'] = 'Ok';
+$lang['Yes'] = 'Sim';
+$lang['No'] = 'Não';
+$lang['%d element']='%d imagem';
+$lang['%d elements']='%d imagens';
+$lang['%d element are also linked to current tags'] = '%d imagem está também ligada às tags correntes';
+$lang['%d elements are also linked to current tags'] = '%d imagens estão também ligadas às tags correntes';
+$lang['See elements linked to this tag only'] = 'Ver as imagens ligadas apenas a esta tag';
+$lang['elements posted during the last %d days'] = 'imagens enviadas durante os últimos %d dias';
+$lang['Choose an image'] = 'Escolher uma imagem';
+$lang['Piwigo Help'] = 'Piwigo Help';
+$lang['Rank'] = 'Fila (Rank)';
+$lang['group by letters'] = 'agrupar por letras';
+$lang['letters'] = 'letras';
+$lang['show tag cloud'] = 'mostar a nuvem de tags';
+$lang['cloud'] = 'nuvem';
+?>
Index: /branches/2.0/language/pt_BR/iso.txt
===================================================================
--- /branches/2.0/language/pt_BR/iso.txt	(revision 3919)
+++ /branches/2.0/language/pt_BR/iso.txt	(revision 3919)
@@ -0,0 +1,1 @@
+Brasil [BR]
Index: /branches/2.0/language/pt_BR/upgrade.lang.php
===================================================================
--- /branches/2.0/language/pt_BR/upgrade.lang.php	(revision 3919)
+++ /branches/2.0/language/pt_BR/upgrade.lang.php	(revision 3919)
@@ -0,0 +1,44 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['Upgrade'] = 'Upgrade';
+$lang['introduction message'] = 'Esta página se propõe a fazer um upgrade em sua base de dados em relação a sua versão antiga do Piwigo para a versão atual.
+O assistente de upgrade acha que você está atualmente rodando a<strong>versão %s</strong> (ou equivalente).';
+$lang['Upgrade from %s to %s'] = 'Atualizar da versão %s para a %s';
+$lang['Statistics'] = 'Estatísticas';
+$lang['total upgrade time'] = 'tempo total do upgrade';
+$lang['total SQL time'] = 'tempo total do SQL';
+$lang['SQL queries'] = 'Consultas SQL';
+$lang['Upgrade informations'] = 'Informações do upgrade';
+$lang['perform a maintenance check'] = 'Executa uma avaliação de rotina em [Administração>Especiais>Manutenção] se você encontrar algum problema.';
+$lang['deactivated plugins'] = 'Por precaução, os seguintes plugins foram desativados. Você deve checar por atualizações dos plugins antes de reativá-los:';
+$lang['upgrade login message'] = 'Apenas administrador pode realizar o upgrade: por favor, faça o login logo abaixo.';
+$lang['You do not have access rights to run upgrade'] = 'Você não tem permissões de acesso para realizar o upgrade';
+$lang['in include/mysql.inc.php, before ?>, insert:'] = 'Em <i>include/mysql.inc.php</i>, antes de <b>?></b>, insira:';
+
+// Upgrade informations from upgrade_1.3.1.php
+$lang['all sub-categories of private categories become private'] = 'All sub-categories of private categories become private';
+$lang['user permissions and group permissions have been erased'] = 'Permissões de usuário e de grupo foram apagadas.';
+$lang['only thumbnails prefix and webmaster mail saved'] = 'Apenas o prefixo das miniaturas (thumbnails) e o endereço de email do webmaster foram salvos da configuração anterior.';
+
+?>