Index: /extensions/NBC_UserAdvManager/branches/2.11/admin/UserAdvManager_admin.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.11/admin/UserAdvManager_admin.php	(revision 3920)
+++ /extensions/NBC_UserAdvManager/branches/2.11/admin/UserAdvManager_admin.php	(revision 3921)
@@ -384,5 +384,5 @@
   $conf_nbc_UserAdvManager_ConfirmMail = isset($conf['nbc_UserAdvManager_ConfirmMail']) ? explode(";" , $conf['nbc_UserAdvManager_ConfirmMail']) : array();
 	
-  if (isset($conf_nbc_UserAdvManager[2]) and $conf_nbc_UserAdvManager[2]=='true' and isset($conf_nbc_UserAdvManager[3]) and $conf_nbc_UserAdvManager[3] <> '-1' and isset($conf_nbc_UserAdvManager_ConfirmMail[0]) and $conf_nbc_UserAdvManager_ConfirmMail[0]=='true')
+  if (isset($conf_nbc_UserAdvManager[2]) and $conf_nbc_UserAdvManager[2]=='true' and ((isset($conf_nbc_UserAdvManager[3]) and $conf_nbc_UserAdvManager[3] <> '-1') or (isset($conf_nbc_UserAdvManager[9]) and $conf_nbc_UserAdvManager[9] <> '-1')) and isset($conf_nbc_UserAdvManager_ConfirmMail[0]) and $conf_nbc_UserAdvManager_ConfirmMail[0]=='true')
   {
 // +-----------------------------------------------------------------------+
@@ -747,4 +747,5 @@
 			}
 		}
+		
 
 // +-----------------------------------------------------------------------+
@@ -848,28 +849,28 @@
     		(isset($local_user['enabled_high']) and ($local_user['enabled_high'] == 'true'))
       		? l10n('is_high_enabled') : l10n('is_high_disabled');
+
+			$expiration = expiration($local_user['id']);
               
-			if (isset($conf_nbc_UserAdvManager_ConfirmMail[1]) and $conf_nbc_UserAdvManager_ConfirmMail[0]=='true' )
-    	{
-    		$template->append(
-      		'users',
-        	array(
-        		'ID' => $local_user['id'],
-          	'CHECKED' => $checked,
-          	'U_PROFILE' => $profile_url.$local_user['id'],
-          	'U_PERM' => $perm_url.$local_user['id'],
-          	'USERNAME' => $local_user['username']
-							.($local_user['id'] == $conf['guest_id']
-							? '<BR />['.l10n('is_the_guest').']' : '')
-            	.($local_user['id'] == $conf['default_user_id']
-            	? '<BR />['.l10n('is_the_default').']' : ''),
-						'STATUS' => l10n('user_status_'.
-							$local_user['status']).(($local_user['adviser'] == 'true')
-            	? '<BR />['.l10n('adviser').']' : ''),
-						'EMAIL' => get_email_address_as_display_text($local_user['email']),
-          	'GROUPS' => $groups_string,
-          	'REGISTRATION' => $local_user['registration_date'],
-					)
-				);
-			}
+   		$template->append(
+     		'users',
+       	array(
+       		'ID' => $local_user['id'],
+         	'CHECKED' => $checked,
+         	'U_PROFILE' => $profile_url.$local_user['id'],
+         	'U_PERM' => $perm_url.$local_user['id'],
+         	'USERNAME' => $local_user['username']
+						.($local_user['id'] == $conf['guest_id']
+						? '<BR />['.l10n('is_the_guest').']' : '')
+           	.($local_user['id'] == $conf['default_user_id']
+           	? '<BR />['.l10n('is_the_default').']' : ''),
+					'STATUS' => l10n('user_status_'.
+						$local_user['status']).(($local_user['adviser'] == 'true')
+           	? '<BR />['.l10n('adviser').']' : ''),
+					'EMAIL' => get_email_address_as_display_text($local_user['email']),
+         	'GROUPS' => $groups_string,
+         	'REGISTRATION' => $local_user['registration_date'],
+         	'EXPIRATION' => $expiration,
+				)
+			);
 		}
 
Index: /extensions/NBC_UserAdvManager/branches/2.11/admin/global.tpl
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.11/admin/global.tpl	(revision 3920)
+++ /extensions/NBC_UserAdvManager/branches/2.11/admin/global.tpl	(revision 3921)
@@ -63,5 +63,5 @@
     	</li>
     	<li><label>{'UserAdvManager_MailExclusion_List'|@translate}</label><br>
-        <textarea name="UserAdvManager_MailExclusion_List" id="UserAdvManager_MailExclusion_List" rows="3" cols="80" {$TAG_INPUT_ENABLED}>{$UserAdvManager_MAILEXCLUSION_LIST}</textarea>
+        <textarea name="UserAdvManager_MailExclusion_List" id="UserAdvManager_MailExclusion_List" rows="3" cols="30" {$TAG_INPUT_ENABLED}>{$UserAdvManager_MAILEXCLUSION_LIST}</textarea>
     	</li>
     </ul>
Index: /extensions/NBC_UserAdvManager/branches/2.11/admin/usermanager.tpl
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.11/admin/usermanager.tpl	(revision 3920)
+++ /extensions/NBC_UserAdvManager/branches/2.11/admin/usermanager.tpl	(revision 3921)
@@ -29,5 +29,5 @@
     			<td>{$user.EMAIL}</td>
     			<td>{$user.GROUPS}</td>
-					<td style="text-align:center;">{$user.REGISTRATION}</td>
+					<td {if $user.EXPIRATION == True}style="color:red;text-align:center;"{else}style="color:lime;text-align:center;"{/if}>{$user.REGISTRATION}</td>
     			{foreach from=$user.plugin_columns item=data}
     			<td>{$data}</td>
@@ -35,5 +35,5 @@
   			</tr>
   		{/foreach}
-	</table>
+		</table>
     	<br/>
 	    </li>
Index: /extensions/NBC_UserAdvManager/branches/2.11/include/functions_UserAdvManager.inc.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.11/include/functions_UserAdvManager.inc.php	(revision 3920)
+++ /extensions/NBC_UserAdvManager/branches/2.11/include/functions_UserAdvManager.inc.php	(revision 3921)
@@ -616,27 +616,42 @@
   
   $users = array();
-    
+
 	/* search users depending expiration date */
   $query = '
-  	SELECT DISTINCT u.'.$conf['user_fields']['id'].' AS id,
+		SELECT DISTINCT u.'.$conf['user_fields']['id'].' AS id,
 										u.'.$conf['user_fields']['username'].' AS username,
-                    u.'.$conf['user_fields']['email'].' AS email,
-                    ui.status,
-                    ui.adviser,
-                    ui.enabled_high,
-                    ui.level,
-                    ui.registration_date,
-                    ug.group_id
+										u.'.$conf['user_fields']['email'].' AS email,
+										ui.status,
+										ui.adviser,
+										ui.enabled_high,
+										ui.level,
+										ui.registration_date
 		FROM '.USERS_TABLE.' AS u
-		INNER JOIN '.USER_INFOS_TABLE.' AS ui
-			ON u.'.$conf['user_fields']['id'].' = ui.user_id
- 		INNER JOIN '.USER_GROUP_TABLE.' AS ug
-    	ON u.'.$conf['user_fields']['id'].' = ug.user_id
-  	WHERE u.'.$conf['user_fields']['id'].' >= 0
-    	AND ug.group_id = "'.$conf_nbc_UserAdvManager[3].'"
-      AND (TO_DAYS(NOW()) - TO_DAYS(ui.registration_date) >= "'.$conf_nbc_UserAdvManager_ConfirmMail[1].'"
-				OR TO_DAYS(NOW()) - TO_DAYS(ui.registration_date) < "'.$conf_nbc_UserAdvManager_ConfirmMail[1].'")
-		ORDER BY id ASC
-	;';
+    INNER JOIN '.USER_INFOS_TABLE.' AS ui
+      ON u.'.$conf['user_fields']['id'].' = ui.user_id
+    LEFT JOIN '.USER_GROUP_TABLE.' AS ug
+      ON u.'.$conf['user_fields']['id'].' = ug.user_id
+		WHERE u.'.$conf['user_fields']['id'].' >= 3
+		AND (TO_DAYS(NOW()) - TO_DAYS(ui.registration_date) >= "'.$conf_nbc_UserAdvManager_ConfirmMail[1].'"
+			OR TO_DAYS(NOW()) - TO_DAYS(ui.registration_date) < "'.$conf_nbc_UserAdvManager_ConfirmMail[1].'")';
+
+	if ($conf_nbc_UserAdvManager[3] <> '-1' and $conf_nbc_UserAdvManager[9] == '-1')
+  {
+    $query.= '
+    AND ug.group_id = '.$conf_nbc_UserAdvManager[3];
+  }
+  if ($conf_nbc_UserAdvManager[3] == '-1' and $conf_nbc_UserAdvManager[9] <> '-1')
+  {
+    $query.= '
+    AND ui.status = \''.$conf_nbc_UserAdvManager[9]."'";
+  }
+  if ($conf_nbc_UserAdvManager[3] <> '-1' and $conf_nbc_UserAdvManager[9] <> '-1')
+  {
+    $query.= '
+    AND ug.group_id = \''.$conf_nbc_UserAdvManager[3]."'";
+  }
+  $query.= '
+  ORDER BY id ASC
+;';
 
 	$result = pwg_query($query);
@@ -680,3 +695,49 @@
 	return $users;
 }
+
+/* Function called from UserAdvManager.php - to determine who is expired or not and giving a different display color */
+function expiration($id)
+{
+	global $conf, $page;
+          
+	/* Get ConfirmMail configuration */
+	$conf_nbc_UserAdvManager_ConfirmMail = isset($conf['nbc_UserAdvManager_ConfirmMail']) ? explode(";" , $conf['nbc_UserAdvManager_ConfirmMail']) : array();
+          
+	/* Get UserAdvManager configuration */
+	$conf_nbc_UserAdvManager = isset($conf['nbc_UserAdvManager']) ? explode(";" , $conf['nbc_UserAdvManager']) : array(); 
+	
+	$query = "
+  	SELECT registration_date
+    FROM ".USER_INFOS_TABLE."
+    WHERE user_id = '".$id."'
+    ;";
+	list($registration_date) = mysql_fetch_row(pwg_query($query));
+
+/*              Time limit process              */
+/* ****************** begin ******************* */  
+	if (!empty($registration_date))
+  {
+		// dates formating and compare
+		$today = date("d-m-Y"); // Get today's date
+		list($day, $month, $year) = explode('-', $today); // explode date of today						 
+ 		$daytimestamp = mktime(0, 0, 0, $month, $day, $year);// Generate UNIX timestamp
+	  	
+	  list($regdate, $regtime) = explode(' ', $registration_date); // Explode date and time from registration date
+		list($regyear, $regmonth, $regday) = explode('-', $regdate); // Explode date from registration date
+		$regtimestamp = mktime(0, 0, 0, $regmonth, $regday, $regyear);// Generate UNIX timestamp
+			
+		$deltasecs = $daytimestamp - $regtimestamp;// Compare the 2 UNIX timestamps	
+		$deltadays = floor($deltasecs / 86400);// Convert result from seconds to days
+
+		// Condition with the value set for time limit
+		if ($deltadays <= $conf_nbc_UserAdvManager_ConfirmMail[1]) // If Nb of days is less than the limit set
+		{
+			return false;
+		}
+		else
+		{
+			return True;
+		}
+	}
+}
 ?>
Index: /extensions/NBC_UserAdvManager/branches/2.11/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.11/language/fr_FR/plugin.lang.php	(revision 3920)
+++ /extensions/NBC_UserAdvManager/branches/2.11/language/fr_FR/plugin.lang.php	(revision 3921)
@@ -101,5 +101,5 @@
 $lang['UserAdvManager_Empty Author'] = 'Le champs auteur doit être rempli pour enregistrer un commentaire.';
 if ( isset($conf_UserAdvManager[1]) and $conf_UserAdvManager[1] == 'true' )
-	$lang['new_reg_err_login5'] = 'ce nom utilisateur est déjà pris, ATTENTION le nom est insensible à la casse (Majuscule = Minuscule).';
+	$lang['reg_err_login5'] = 'ce nom utilisateur est déjà pris, ATTENTION le nom est insensible à la casse (Majuscule = Minuscule).';
 $lang['reg_err_login6'] = 'le nom utilisateur ne doit pas contenir les caractère suivants : ';
 $lang['reg_err_login7'] = 'L\'adresse email est issue d\'un prestataire interdit. Les prestataires d\'adresses email interdits à l\'inscription sont : ';
Index: /extensions/NBC_UserAdvManager/branches/2.11/main.inc.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.11/main.inc.php	(revision 3920)
+++ /extensions/NBC_UserAdvManager/branches/2.11/main.inc.php	(revision 3921)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: NBC UserAdvManager
-Version: 2.11.2
+Version: 2.11.3
 Description: Permet de renforcer les possibilités de gestion des utilisateurs - Enforce users management
 Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=216
@@ -58,4 +58,9 @@
 -- 2.11.2 : Bug fixed on bad query for unvalidated users display in unvalidated users list
 						Bug fixed : Sql syntax error on plugin activation
+
+-- 2.11.3 : On Patricia's request (french forum), the unvalidated users management tab shows users according with the settings of unvalidated group and / or unvalidated status.
+						Email providers exclusion list can be set with CR/LF between each entry. The comma seperator (,) is still mandatory.
+						Bug fixed : Bad translation tag in french language file.
+						Improvement of unvalidated users management tab - Expired users are displayed in red color text.
 
 */
@@ -153,5 +158,5 @@
 
   if ( isset($conf_nbc_UserAdvManager[1]) and $conf_nbc_UserAdvManager[1] == 'true' )
-    $lang['reg_err_login5'] = l10n('new_reg_err_login5');
+    $lang['reg_err_login5'] = l10n('reg_err_login5');
   
 
@@ -204,5 +209,5 @@
 			{
 		  	$ncsemail = strtolower($_POST['email']);
-		  	$conf_nbc_MailExclusion = preg_split('/,/',$conf_nbc_UserAdvManager[13]);
+		  	$conf_nbc_MailExclusion = preg_split("/[\s,]+/",$conf_nbc_UserAdvManager[13]);
 		  	for ($i = 0 ; $i < count($conf_nbc_MailExclusion) ; $i++)
 		    {
@@ -250,5 +255,5 @@
 		  {
 		  	$ncsemail = strtolower($_POST['mail_address']);
-		    $conf_nbc_MailExclusion = preg_split('/,/',$conf_nbc_UserAdvManager[13]);
+		    $conf_nbc_MailExclusion = preg_split("/[\s,]+/",$conf_nbc_UserAdvManager[13]);
 				for ($i = 0 ; $i < count($conf_nbc_MailExclusion) ; $i++)
 			  {
@@ -312,5 +317,5 @@
 		  		{
 		  			$ncsemail = strtolower($_POST['mail_address']);
-		    		$conf_nbc_MailExclusion = preg_split('/,/',$conf_nbc_UserAdvManager[13]);
+		    		$conf_nbc_MailExclusion = preg_split("/[\s,]+/",$conf_nbc_UserAdvManager[13]);
 						for ($i = 0 ; $i < count($conf_nbc_MailExclusion) ; $i++)
 			  		{