Index: extensions/lightbox/language/es_ES/index.php
===================================================================
--- extensions/lightbox/language/es_ES/index.php	(revision 3931)
+++ extensions/lightbox/language/es_ES/index.php	(revision 3931)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/lightbox/language/es_ES/plugin.lang.php
===================================================================
--- extensions/lightbox/language/es_ES/plugin.lang.php	(revision 3931)
+++ extensions/lightbox/language/es_ES/plugin.lang.php	(revision 3931)
@@ -0,0 +1,34 @@
+<?php
+
+$lang['lb_display'] = 'Fijación';
+$lang['lb_display_name'] = 'Fijar el título de la imagen';
+$lang['lb_name_link'] = 'Lazo del título';
+$lang['lb_none'] = 'Ninguno';
+$lang['lb_picture'] = 'Página de la imagen';
+$lang['lb_high'] = 'Llena de imágenes alta definición';
+
+$lang['lb_display_arrows'] = 'Fijar las flechas de navegación';
+$lang['lb_all_category'] = 'Tomar en consideración todas las imágenes de la categoría';
+$lang['lb_yes'] = 'Sí';
+$lang['lb_no'] = 'No';
+
+$lang['lb_theme_transition'] = 'Tema y Transición';
+$lang['lb_transition'] = 'Transición';
+$lang['lb_theme'] = 'Tema';
+$lang['lb_transition_elastic'] = 'Elástico';
+$lang['lb_transition_fade'] = 'Fundido';
+$lang['lb_transition_none'] = 'Ninguno';
+$lang['lb_transition_speed'] = 'Velocidad de transición';
+
+$lang['lb_dimensions'] = 'Dimensiones';
+$lang['lb_initial_width'] = 'Anchura inicial';
+$lang['lb_initial_height'] = 'Altura inicial';
+
+$lang['lb_fixed_width'] = 'Anchura fija';
+$lang['lb_fixed_height'] = 'Altura fija';
+
+$lang['lb_configuration_saved'] = 'Configuración salvaguardada';
+$lang['lb_default_parameters'] = 'Parámetros por defecto';
+$lang['lb_default_parameters_saved'] = 'Parámetros por defecto salvaguardados';
+
+?>
Index: extensions/lightbox/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/lightbox/language/fr_FR/plugin.lang.php	(revision 3609)
+++ extensions/lightbox/language/fr_FR/plugin.lang.php	(revision 3931)
@@ -16,5 +16,5 @@
 $lang['lb_transition'] = 'Transition';
 $lang['lb_theme'] = 'Thème';
-$lang['lb_transition_elastic'] = 'Elastique';
+$lang['lb_transition_elastic'] = 'Élastique';
 $lang['lb_transition_fade'] = 'Fondu';
 $lang['lb_transition_none'] = 'Aucune';