Index: extensions/Flash_Gallery/modules/prometeus/module.inc.php
===================================================================
--- extensions/Flash_Gallery/modules/prometeus/module.inc.php	(revision 3663)
+++ extensions/Flash_Gallery/modules/prometeus/module.inc.php	(revision 3936)
@@ -4,6 +4,6 @@
 
 // Parametres generaux du module : nom et parametre du fichier xml
-$module_data['FlashName'] = "BananAlbum.swf";
-$module_data['FlashvarXML'] = "xmlfile";
+$module_data['FlashName'] = "";
+$module_data['FlashvarXML'] = "";
 
 // Parametre d'affichage des donnees (les donnees peuvent etre utilisees dans le fichier imageNode.xml.php)
Index: extensions/Flash_Gallery/modules/simpleviewer/admin/config.tpl
===================================================================
--- extensions/Flash_Gallery/modules/simpleviewer/admin/config.tpl	(revision 3663)
+++ extensions/Flash_Gallery/modules/simpleviewer/admin/config.tpl	(revision 3936)
@@ -86,4 +86,8 @@
 		<td colspan="2"><input type="checkbox" name="SV_enableRightClickOpen" {$SV_enableRightClickOpen}/></td>
 	</tr>
+    <tr>
+        <td>{'SV_backgroundImagePath'|@translate}&nbsp;</td>
+        <td><input type="text" size="40" maxlength="200" name="SV_backgroundImagePath" value="{$SV_backgroundImagePath}" /></td>
+    </tr>		
 	
 </table>
Index: extensions/Flash_Gallery/modules/simpleviewer/language/fr_FR/module.lang.php
===================================================================
--- extensions/Flash_Gallery/modules/simpleviewer/language/fr_FR/module.lang.php	(revision 3663)
+++ extensions/Flash_Gallery/modules/simpleviewer/language/fr_FR/module.lang.php	(revision 3936)
@@ -25,5 +25,5 @@
 $lang['SV_title'] 			= 'Titre de la galerie (dans le SWF)';
 $lang['SV_enableRightClickOpen']	= 'Autoriser le Clic droit';
-$lang['SV_backgroundImagePath'] 	= 'Chemin d\'acc&egrave; de l\'image de fond';
+$lang['SV_backgroundImagePath'] 	= 'Chemin d\'accès de l\'image de fond';
 
 $lang['SV_top']		= 'Haut';
Index: extensions/Flash_Gallery/modules/simpleviewer/main.inc.php
===================================================================
--- extensions/Flash_Gallery/modules/simpleviewer/main.inc.php	(revision 3663)
+++ extensions/Flash_Gallery/modules/simpleviewer/main.inc.php	(revision 3936)
@@ -3,4 +3,9 @@
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 
+if (!url_is_remote($block['FLASHNAME']))
+	$block['FLASHNAME'] = embellish_url(get_root_url().$block['FLASHNAME']);
+
+$full_url = embellish_url( get_root_url().FLASHGAL_PATH.'js');
+$block['SCRIPT'] = '<script type="text/javascript" src="'.$full_url.'/swfobject.js"></script>';
 
 
Index: extensions/Flash_Gallery/modules/simpleviewer/simpleviewer.tpl
===================================================================
--- extensions/Flash_Gallery/modules/simpleviewer/simpleviewer.tpl	(revision 3663)
+++ extensions/Flash_Gallery/modules/simpleviewer/simpleviewer.tpl	(revision 3936)
@@ -1,10 +1,21 @@
-<div class="simpleviewer_block">
-	<object type="application/x-shockwave-flash" data="{$block.FLASHNAME}?{$block.FLASHVARXML}={$block.XMLFEED}" width="100%" height="{$block.HEIGHT}">
-		<param name="movie" value="{$block.FLASHVARXML}={$block.XMLFEED}" />
-		<PARAM NAME="bgcolor" VALUE="{$block.BGCOLOR}">
-		{if $block.TRANSPARENT}   <PARAM NAME="wmode" VALUE="transparent">  {/if}
-		<PARAM NAME="allowFullScreen" VALUE="{$block.FULLSCREEN}"> 
-		<embed {if $block.TRANSPARENT}   wmode="transparent"  {/if} src="{$block.FLASHNAME}?{$block.FLASHVARXML}={$block.XMLFEED}" quality="high" pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash" width="100%" height="{$block.HEIGHT}" allowFullScreen="{$block.FULLSCREEN}">
-		</embed>
-	</object>
+{html_head}
+{$block.SCRIPT}
+{/html_head}
+<div id="simpleviewer_block">
+
+	<script type="text/javascript">
+
+		var fo = new SWFObject("{$block.FLASHNAME}", "simpleviewer", "100%", "{$block.HEIGHT}", "8", "{$block.BGCOLOR}");				
+														
+		// XML GALLERY OPTIONS
+		// To use local images defined in an XML document, use this block		
+		fo.addParam("allowFullScreen","{$block.FULLSCREEN}");
+		{if $block.TRANSPARENT}fo.addParam("wmode", "transparent"); 
+		{/if}
+		fo.addVariable("{$block.FLASHVARXML}", "{$block.XMLFEED}");
+
+		fo.write("simpleviewer_block");			
+	</script>
+
+	
 </div>
Index: extensions/Flash_Gallery/modules/simpleviewer/xml/header.xml.php
===================================================================
--- extensions/Flash_Gallery/modules/simpleviewer/xml/header.xml.php	(revision 3663)
+++ extensions/Flash_Gallery/modules/simpleviewer/xml/header.xml.php	(revision 3936)
@@ -18,5 +18,5 @@
 	   .' title="'.$module['ext_datas']['title']."\"\n"
 	   .' enableRightClickOpen="'.(($module['ext_datas']['enableRightClickOpen']) ? "true" : "false")."\"\n"
-	   .' backgroundImagePath="" '
+	   .' backgroundImagePath="'.(isset($module['ext_datas']['backgroundImagePath']) ? $module['ext_datas']['backgroundImagePath'] : '').'" '
 	   .' imagePath="'.get_root_url()."\"\n"
 		.' thumbPath="'.get_root_url().'">';