Index: /branches/2.0/admin/template/goto/user_list.tpl
===================================================================
--- /branches/2.0/admin/template/goto/user_list.tpl	(revision 3944)
+++ /branches/2.0/admin/template/goto/user_list.tpl	(revision 3945)
@@ -7,6 +7,11 @@
   <fieldset>
     <legend>{'Add a user'|@translate}</legend>
-    <label>{'Username'|@translate} <input type="text" name="login" maxlength="50" size="20" /></label>
-    <label>{'Password'|@translate} <input type="text" name="password" /></label>
+    <label>{'Username'|@translate} <input type="text" name="login" maxlength="50" size="20"></label>
+    {if $Double_Password}
+		<label>{'Password'|@translate} <input type="password" name="password"></label>
+		<label>{'Confirm Password'|@translate} <input type="password" name="password_conf" id="password_conf"></label>
+		{else}
+		<label>{'Password'|@translate} <input type="text" name="password"></label>
+		{/if}
     <label>{'Email address'|@translate} <input type="text" name="email" /></label>
     <label>&nbsp; <input class="submit" type="submit" name="submit_add" value="{'Submit'|@translate}" {$TAG_INPUT_ENABLED} /></label>
Index: /branches/2.0/admin/user_list.php
===================================================================
--- /branches/2.0/admin/user_list.php	(revision 3944)
+++ /branches/2.0/admin/user_list.php	(revision 3945)
@@ -184,18 +184,61 @@
 // +-----------------------------------------------------------------------+
 
-if (isset($_POST['submit_add']))
-{
-  $page['errors'] = register_user(
-    $_POST['login'], $_POST['password'], $_POST['email'], false);
-
-  if (count($page['errors']) == 0)
-  {
-    array_push(
-      $page['infos'],
-      sprintf(
-        l10n('user "%s" added'),
-        $_POST['login']
-        )
-      );
+// Check for config_default var - If True : Using double password type else single password type
+// This feature is discussed on Piwigo's english forum
+if ($conf['double_password_type_in_admin'] == true)
+{
+	if (isset($_POST['submit_add']))
+	{
+		if(empty($_POST['password']))
+		{
+			array_push($page['errors'], l10n('Password is missing'));
+		}
+		else if(empty($_POST['password_conf']))
+		{
+			array_push($page['errors'], l10n('Password confirmation is missing'));
+		}
+		else if(empty($_POST['email']))
+		{
+			array_push($page['errors'], l10n('Email address is missing'));
+		}
+		else if ($_POST['password'] != $_POST['password_conf'])
+		{
+			array_push($page['errors'], l10n('Password confirmation error'));
+		}
+		else
+		{
+  		$page['errors'] = register_user(
+    		$_POST['login'], $_POST['password'], $_POST['email'], false);
+
+			if (count($page['errors']) == 0)
+  		{
+    		array_push(
+    			$page['infos'],
+    			sprintf(
+    				l10n('user "%s" added'),
+    				$_POST['login']
+    			)
+    		);
+  		}
+		}
+	}
+}
+else if ($conf['double_password_type_in_admin'] == false)
+{
+	if (isset($_POST['submit_add']))
+	{
+  	$page['errors'] = register_user(
+    	$_POST['login'], $_POST['password'], $_POST['email'], false);
+
+  	if (count($page['errors']) == 0)
+  	{
+    	array_push(
+      	$page['infos'],
+      	sprintf(
+        	l10n('user "%s" added'),
+        	$_POST['login']
+        	)
+      	);
+  	}
   }
 }
@@ -487,4 +530,10 @@
 }
 
+// Display or Hide double password type
+if ($conf['double_password_type_in_admin'])
+{
+  $template->assign('Double_Password', true);
+}
+
 // Filter status options
 $status_options[-1] = '------------';
@@ -659,10 +708,10 @@
       'USERNAME' => $local_user['username']
         .($local_user['id'] == $conf['guest_id']
-          ? '<BR />['.l10n('is_the_guest').']' : '')
+          ? '<br>['.l10n('is_the_guest').']' : '')
         .($local_user['id'] == $conf['default_user_id']
-          ? '<BR />['.l10n('is_the_default').']' : ''),
+          ? '<br>['.l10n('is_the_default').']' : ''),
       'STATUS' => l10n('user_status_'.
         $local_user['status']).(($local_user['adviser'] == 'true')
-        ? '<BR />['.l10n('adviser').']' : ''),
+        ? '<br>['.l10n('adviser').']' : ''),
       'EMAIL' => get_email_address_as_display_text($local_user['email']),
       'GROUPS' => $groups_string,
Index: /branches/2.0/include/config_default.inc.php
===================================================================
--- /branches/2.0/include/config_default.inc.php	(revision 3944)
+++ /branches/2.0/include/config_default.inc.php	(revision 3945)
@@ -319,4 +319,7 @@
 // Define default method to use ('http' or 'html' in order to do redirect)
 $conf['default_redirect_method'] = 'http';
+
+// Define using double password type in admin's users management panel
+$conf['double_password_type_in_admin'] = false;
 
 // +-----------------------------------------------------------------------+