Index: branches/2.0/language/da_DK/index.php
===================================================================
--- branches/2.0/language/da_DK/index.php	(revision 3952)
+++ branches/2.0/language/da_DK/index.php	(revision 3952)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: branches/2.0/language/es_AR/common.lang.php
===================================================================
--- branches/2.0/language/es_AR/common.lang.php	(revision 3952)
+++ branches/2.0/language/es_AR/common.lang.php	(revision 3952)
@@ -0,0 +1,368 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Langage informations
+$lang_info['language_name'] = 'Castellano';
+$lang_info['country'] = 'Argentina';
+$lang_info['direction'] = 'ltr';
+$lang_info['code'] = 'es';
+$lang_info['zero_plural'] = false;
+
+$lang['%.2f (rated %d times, standard deviation = %.2f)'] = '%.2f (marcado %d veces, desviación tipo = %.2f)';
+$lang['%d Kb'] = '%d Kb';
+$lang['%d category updated'] = '%d categoría actualizada';
+$lang['%d categories updated'] = '%d categorías actualizadas';
+$lang['%d comment to validate'] = '%d comentario de usuario para aprobar';
+$lang['%d comments to validate'] = '%d comentarios de usuario para aprobar';
+$lang['%d new comment'] = '%d nuevo comentario de usuario';
+$lang['%d new comments'] = '%d nuevos comentarios de usuario';
+$lang['%d comment'] = '%d comentario';
+$lang['%d comments'] = '%d comentarios';
+$lang['%d hit'] = 'vista %d veces';
+$lang['%d hits'] = 'vista %d veces';
+$lang['%d new element'] = '%d nueva imagen';
+$lang['%d new elements'] = '%d nuevas imágenes';
+$lang['%d new user'] = '%d nuevo usuario';
+$lang['%d new users'] = '%d nuevos usuarios';
+$lang['%d waiting element'] = '%d elemento en espera';
+$lang['%d waiting elements'] = '%d elementos en espera';
+$lang['About'] = 'Acerca de';
+$lang['All tags must match'] = 'Todos los tags deben corresponder';
+$lang['All tags'] = 'Todos los tags';
+$lang['Any tag'] = 'Cualquier tag';
+$lang['At least one listed rule must be satisfied.'] = 'Uno de los criterios por lo menos debe satisfacerse.';
+$lang['At least one tag must match'] = 'Al menos un tag debe corresponder';
+$lang['Author'] = 'Autor';
+$lang['Average rate'] = 'Promedio';
+$lang['Categories'] = 'Categorías';
+$lang['Category'] = 'Categoría';
+$lang['Close this window'] = 'Cierre esta ventana';
+$lang['Complete RSS feed'] = 'Flujo RSS completo (imágenes, comentarios)';
+$lang['Confirm Password'] = 'Confirme su contraseña';
+$lang['Connection settings'] = 'Parámetros de conexión';
+$lang['Connection'] = 'Conexión';
+$lang['Contact webmaster'] = 'Ponerse en contacto con el webmaster';
+$lang['Create a new account'] = 'Crear una cuenta nueva';
+$lang['Created on'] = 'Creada el';
+$lang['Creation date'] = 'Fecha de creación';
+$lang['Current password is wrong'] = 'Contraseña actual incorrecta';
+$lang['Dimensions'] = 'Dimensiones';
+$lang['Display'] = 'Mostrar';
+$lang['Each listed rule must be satisfied.'] = 'Cada uno de los criterios debe ser satisfecho';
+$lang['Email address is missing'] = 'Falta la dirección de correo electrónico';
+$lang['Email address'] = 'Dirección de correo electrónico';
+$lang['Enter your personnal informations'] = 'Escriba sus datos personales';
+$lang['Error sending email'] = 'Error al enviar correo electrónico';
+$lang['File name'] = 'Nombre del archivo';
+$lang['File'] = 'Archivo';
+$lang['Filesize'] = 'Tamaño';
+$lang['Filter and display'] = 'Filtrar y mostrar';
+$lang['Filter'] = 'Filtro';
+$lang['Forgot your password?'] = 'Olvidó su contraseña?';
+$lang['Go through the gallery as a visitor'] = 'Recorrer la galería como visitante';
+$lang['Help'] = 'Ayuda';
+$lang['Identification'] = 'Identificación';
+$lang['Image only RSS feed'] = 'Flujo RSS de las imágenes';
+$lang['Keyword'] = 'Palabra clave';
+$lang['Links'] = 'Enlaces';
+$lang['Mail address'] = 'Dirección de correo electrónico';
+$lang['N/A'] = 'no disponible';
+$lang['New on %s'] = 'Nuevo el %s';
+$lang['New password confirmation does not correspond'] = 'La confirmacion de su contraseña no corresponde';
+$lang['New password sent by email'] = 'Nueva contraseña enviada por correo electrónico';
+$lang['No email address'] = 'No hay dirección de correo electrónico';
+$lang['No user matches this email address'] = 'No existe ningún usuario con tal dirección de correo electrónico';
+$lang['Notification'] = 'Notification';
+$lang['Number of items'] = 'Cantidad de elementos';
+$lang['Original dimensions'] = 'Dimensiones originales';
+$lang['Password forgotten'] = 'Contraseña olvidada';
+$lang['Password'] = 'Contraseña';
+$lang['Post date'] = 'Fecha de envío';
+$lang['Posted on'] = 'Agregado el';
+$lang['Profile'] = 'Perfil';
+$lang['Quick connect'] = 'Conexión rápida';
+$lang['RSS feed'] = 'flujo RSS';
+$lang['Rate'] = 'Calificación';
+$lang['Register'] = 'Registrarse';
+$lang['Registration'] = 'Registro';
+$lang['Related tags'] = 'Tags relacionados';
+$lang['Reset'] = 'Anular';
+$lang['Retrieve password'] = 'Recuperar una contraseña';
+$lang['Search rules'] = 'Criterios de búsqueda';
+$lang['Search tags'] = 'Buscar tags';
+$lang['Search'] = 'Buscar';
+$lang['See available tags'] = 'Ver tags disponibles';
+$lang['Send new password'] = 'Enviar la nueva contraseña';
+$lang['Since'] = 'Desde';
+$lang['Sort by'] = 'Clasificar por';
+$lang['Sort order'] = 'Orden de clasificación';
+$lang['Tag'] = 'Tag';
+$lang['Tags'] = 'Tags';
+$lang['The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader.'] = 'El flujo RSS notifica eventos de la galería: imágenes nuevas, categorías actualizadas, nuevos comentarios de usuarios. Debe usarse con un lector de flujos RSS.';
+$lang['Unknown feed identifier'] = 'Identificador de flujo desconocido';
+$lang['User comments'] = 'Comentarios de usuario';
+$lang['Username'] = 'Nombre de usuario';
+$lang['Visits'] = 'Visitas';
+$lang['Webmaster'] = 'Webmaster';
+$lang['Week %d'] = 'Semane %d';
+$lang['about_page_title'] = 'Acerca de Piwigo';
+$lang['access_forbiden'] = 'Acceso denegaso';
+$lang['add to caddie'] = 'agregar al carrito de compras';
+$lang['add_favorites_hint'] = 'agregar esta imagen a sus favoritos';
+$lang['admin'] = 'Administración';
+$lang['adviser_mode_enabled'] = 'Modo asesor activo';
+$lang['all'] = 'todo';
+$lang['ascending'] = 'creciente';
+$lang['author(s) : %s'] = 'autor(es) : %s';
+$lang['auto_expand'] = 'Mostrar todas las categorías';
+$lang['became available after %s (%s)'] = 'a disposición después del %s (%s)';
+$lang['became available before %s (%s)'] = 'a disposición antes del %s (%s)';
+$lang['became available between %s (%s) and %s (%s)'] = 'a disposición entre el %s (%s) y el %s (%s)';
+$lang['became available on %s'] = 'a disposición el %s';
+$lang['best_rated_cat'] = 'Con mejor calificación';
+$lang['best_rated_cat_hint'] = 'mostrar las imágenes con mejor calificación';
+$lang['caddie'] = 'Carrito de compras';
+$lang['calendar'] = 'Calendario';
+$lang['calendar_any'] = 'Todo';
+$lang['calendar_hint'] = 'mostrar año por año, mes por mes, día por día';
+$lang['calendar_picture_hint'] = 'mostrar las imágenes del ';
+$lang['calendar_view'] = 'Vista calendario';
+$lang['chronology_monthly_calendar'] = 'Calendario mensual';
+$lang['chronology_monthly_list'] = 'Lista mensual';
+$lang['chronology_weekly_list'] = 'Lista semanal';
+$lang['click_to_redirect'] = 'Haga clic acá si su navegador no lo redirige correctamente.';
+$lang['comment date'] = 'fecha del comentario';
+$lang['comment'] = 'Comentario';
+$lang['comment_added'] = 'Su comentario ha sido grabado';
+$lang['comment_anti-flood'] = 'Sistema anti-abuso: por favor espere antes de agregar otro comentario';
+$lang['comment_not_added'] = 'Su comentario no se grabó por infringir las reglas de aceptación';
+$lang['comment_to_validate'] = 'Un administrador debe comprobar su caomentario para que sea visible.';
+$lang['comment_user_exists'] = 'Ya existe ese nombre de usuario';
+$lang['comments'] = 'Comentarios';
+$lang['comments_add'] = 'Agregar un comentario';
+$lang['created after %s (%s)'] = 'creada después del %s (%s)';
+$lang['created before %s (%s)'] = 'creada antes del %s (%s)';
+$lang['created between %s (%s) and %s (%s)'] = 'creada entre el %s (%s) y el %s (%s)';
+$lang['created on %s'] = 'creada el %s';
+$lang['customize'] = 'Personalizar';
+$lang['customize_page_title'] = 'Personalización de su interfaz gráfica ';
+$lang['day'][0] = 'Domingo';
+$lang['day'][1] = 'Lunes';
+$lang['day'][2] = 'Martes';
+$lang['day'][3] = 'Miércoles';
+$lang['day'][4] = 'Jueves';
+$lang['day'][5] = 'Viernes';
+$lang['day'][6] = 'Sábado';
+$lang['default_sort'] = 'Por defecto';
+$lang['del_favorites_hint'] = 'Borrar esta imagen de sus favoritos';
+$lang['delete'] = 'Borrar';
+$lang['descending'] = 'decreciente';
+$lang['download'] = 'descargar';
+$lang['download_hint'] = 'descargar este archivo';
+$lang['edit'] = 'editar';
+$lang['err_date'] = 'fecha equivocada';
+$lang['excluded'] = 'excluídos';
+$lang['favorite_cat'] = 'Mis favoritos';
+$lang['favorite_cat_hint'] = 'mostrar mis imágenes favoritas';
+$lang['favorites'] = 'Favoritos';
+$lang['first_page'] = 'Primera página';
+$lang['gallery_locked_message'] = 'La galería está cerrada por acuasa de mantenimiento. Por favor vuelva a visitarnos más tarde.';
+$lang['generation_time'] = 'Página generada en ';
+$lang['guest'] = 'visitante';
+$lang['hello'] = '¡Hola!';
+$lang['hint_admin'] = 'sólo disponible para administradores';
+$lang['hint_category'] = 'muestra las imágenes a la raíz de esta categoría';
+$lang['hint_comments'] = 'Ver los últimos comentarios de usuarios';
+$lang['hint_customize'] = 'personalizar la apariencia de la galería';
+$lang['hint_search'] = 'búsqueda';
+$lang['home'] = 'Inicio';
+$lang['identification'] = 'Identificación';
+$lang['images_available_cpl'] = 'en esta categoría';
+$lang['images_available_cat'] = 'en %d sub-categoría';
+$lang['images_available_cats'] = 'en %d sub-categorías';
+$lang['included'] = 'incluídos';
+$lang['invalid_pwd'] = 'Contraseña incorrecta!';
+$lang['language'] = 'Idioma';
+$lang['last %d days'] = '%d últimos días';
+$lang['last_page'] = 'Última';
+$lang['logout'] = 'Desconectarse';
+$lang['mail_address'] = 'Dirección de correo electrónico';
+$lang['mandatory'] = 'obligatorio';
+$lang['maxheight'] = 'Altura máxima de las imágenes';
+$lang['maxheight_error'] = 'La altura de las imágenes debe ser superior a 50';
+$lang['maxwidth'] = 'Ancho máximo de las imágenes';
+$lang['maxwidth_error'] = 'El ancho de las imágenes debe ser superior a 50';
+$lang['mode_created_hint'] = 'mostrar un calendario por fecha de creación';
+$lang['mode_flat_hint'] = 'mostrar de plano los elementos de categorías y sub-categorías';
+$lang['mode_normal_hint'] = 'volver a la apariencia inicial';
+$lang['mode_posted_hint'] = 'mostrar un calendario por fecha de agregado';
+$lang['month'][10] = 'Octubre';
+$lang['month'][11] = 'Noviembre';
+$lang['month'][12] = 'Diciembre';
+$lang['month'][1] = 'Enero';
+$lang['month'][2] = 'Febrero';
+$lang['month'][3] = 'Marzo';
+$lang['month'][4] = 'Abril';
+$lang['month'][5] = 'Mayo';
+$lang['month'][6] = 'Junio';
+$lang['month'][7] = 'Julio';
+$lang['month'][8] = 'Agosto';
+$lang['month'][9] = 'Septiembre';
+$lang['most_visited_cat'] = 'Las más vistas';
+$lang['most_visited_cat_hint'] = 'mostrar las imágenes más vistas';
+$lang['nb_image_line_error'] = 'La cantidad de imágenes por línea debe ser un número entero superior a cero';
+$lang['nb_image_per_row'] = 'Cantidad de diapositivas por línea';
+$lang['nb_line_page_error'] = 'La cantidad de líneas por página debe ser un número entero superior a cero';
+$lang['nb_row_per_page'] = 'Cantidad de  líneas por página';
+$lang['nbm_unknown_identifier'] = 'Identificador desconocido';
+$lang['new_password'] = 'Nueva contraseña';
+$lang['new_rate'] = 'Votar esta imagen';
+$lang['next_page'] = 'Siguiente';
+$lang['no_category'] = 'Inicio';
+$lang['no_rate'] = 'sin calificar';
+$lang['note_filter_day'] = 'Se han filtrado los elementos para mostrar sólo los recientes de menos de %d día.';
+$lang['note_filter_days'] = 'Se han filtrado los elementos para mostrar sólo los recientes de menos de %d días.';
+$lang['password updated'] = 'contraseña actualizada';
+$lang['periods_error'] = 'El período debe ser un número entero positivo';
+$lang['picture'] = 'imagen';
+$lang['picture_high'] = 'Haga clic en la imagen para verla en alta resolución';
+$lang['picture_show_metadata'] = 'Mostrar los meta-datos del archivo';
+$lang['powered_by'] = 'Puesto en página por';
+$lang['preferences'] = 'Preferencias';
+$lang['previous_page'] = 'Página anterior';
+$lang['random_cat'] = 'Imágenes al azar';
+$lang['random_cat_hint'] = 'mostrar un conjunto aleatorio de imágenes';
+$lang['recent_cats_cat'] = 'Categorías recientes';
+$lang['recent_cats_cat_hint'] = 'mostrar las categorías creadas o actualizadas recientemente';
+$lang['recent_period'] = 'Período reciente';
+$lang['recent_pics_cat'] = 'Imágenes recientes';
+$lang['recent_pics_cat_hint'] = 'mostrar las imágenes más recientes';
+$lang['redirect_msg'] = 'Redirección...';
+$lang['reg_err_login1'] = 'Por favor, ingrese su nombre de usuario';
+$lang['reg_err_login2'] = 'el nombre de usuario no debe terminarse por un espacio';
+$lang['reg_err_login3'] = 'el nombre de usuario no debe empezar por un espacio';
+$lang['reg_err_login5'] = 'ese nombre de usuario ya existe';
+$lang['reg_err_mail_address'] = 'la dirección de correo electrónico debe tener esta forma: xxx@yyy.eee (ejemplo : jack@altern.org)';
+$lang['reg_err_pass'] = 'Por favor vuelva a ingresar su contraseña';
+$lang['remember_me'] = 'Connexión automática';
+$lang['remove this tag'] = 'borrar este tag de la lista';
+$lang['representative'] = 'Representante';
+$lang['return to homepage'] = 'volver a la página de inicio';
+$lang['search_author'] = 'Buscar un autor';
+$lang['search_categories'] = 'Buscar en las categorías';
+$lang['search_date'] = 'Buscar por fecha';
+$lang['search_date_from'] = 'Fecha';
+$lang['search_date_to'] = 'Fecha fin';
+$lang['search_date_type'] = 'Tipo de fecha';
+$lang['search_keywords'] = 'Buscar por palabras clave';
+$lang['search_mode_and'] = 'Buscar todas las palabras';
+$lang['search_mode_or'] = 'Buscar una de las palabras';
+$lang['search_one_clause_at_least'] = 'Búsqueda vacía: no ha sido indicado ningún criterio.';
+$lang['search_options'] = 'Opciones de búsqueda';
+$lang['search_result'] = 'Resultados de la búsqueda';
+$lang['search_subcats_included'] = 'Buscar en sub-categorías';
+$lang['search_title'] = 'Búsqueda';
+$lang['searched words : %s'] = 'palabras buscadas : %s';
+$lang['send_mail'] = 'Contacto';
+$lang['set as category representative'] = 'Elegir como representante de esta categoría';
+$lang['show_nb_comments'] = 'Mostrar la cantidad de comentarios';
+$lang['show_nb_hits'] = 'Mostrar la cantidad de visualizaciones';
+$lang['slideshow'] = 'Proyección';
+$lang['slideshow_stop'] = 'detener la proyección';
+$lang['special_categories'] = 'Especiales';
+$lang['sql_queries_in'] = 'pedidos SQL en';
+$lang['start_filter_hint'] = 'mostrar sólo los elementos recientes';
+$lang['stop_filter_hint'] = 'volver a mostrar todos los elementos';
+$lang['the beginning'] = 'principio';
+$lang['theme'] = 'Tema de la interfaz';
+$lang['thumbnails'] = 'Diapositivas';
+$lang['title_menu'] = 'Menú';
+$lang['title_send_mail'] = 'Hay un comentario en el sitio';
+$lang['today'] = 'hoy';
+$lang['update_rate'] = 'Actualizar su calificación';
+$lang['update_wrong_dirname'] = 'nombre de carpeta incorrecto';
+$lang['upload_advise_filesize'] = 'el tamaño de la imagen debe ser inferior o igual a: ';
+$lang['upload_advise_filetype'] = 'formatos aceptados: jpg, png o gif únicamente';
+$lang['upload_advise_height'] = 'la altura de la imagen debe ser inferior o igual a: ';
+$lang['upload_advise_thumbnail'] = 'No es obligatorio pero se recomienda: elegir una diapositiva asociada ';
+$lang['upload_advise_width'] = 'el ancho de la imagen debe ser inferior o igual a: ';
+$lang['upload_author'] = 'Autor';
+$lang['upload_cannot_upload'] = 'fue imposible subir el archivo al servidor';
+$lang['upload_err_username'] = 'falta el nombre de usuario';
+$lang['upload_file_exists'] = 'este archivo ya existe';
+$lang['upload_filenotfound'] = 'el formato del archivo no es un formato de imagen reconocido';
+$lang['upload_forbidden'] = 'imposible agregar imágenes en esa categoría';
+$lang['upload_name'] = 'Título de la imagen';
+$lang['upload_picture'] = 'Agregar una imagem';
+$lang['upload_successful'] = 'Imagen agregada con éxito. Un administrador debe aprobarla para que los usuarios puedan verla';
+$lang['upload_title'] = 'Agregar una imagen';
+$lang['useful when password forgotten'] = 'útil en caso de contraseña olvidada';
+$lang['qsearch'] = 'Búsqueda rápida';
+$lang['Connected user: %s'] = 'Usuario conectado: %s';
+$lang['IP: %s'] = 'IP: %s';
+$lang['Browser: %s'] = 'Navegador: %s';
+$lang['Author: %s'] = 'Autor: %s';
+$lang['Comment: %s'] = 'Comentario: %s';
+$lang['Delete: %s'] = 'Borrar: %s';
+$lang['Validate: %s'] = 'Aprobar: %s';
+$lang['Comment by %s'] = 'Comentario por %s';
+$lang['User: %s'] = 'Usuario: %s';
+$lang['Email: %s'] = 'Correo electrónico: %s';
+$lang['Admin: %s'] = 'Administración: %s';
+$lang['Registration of %s'] = 'Registro de %s';
+$lang['Category: %s'] = 'Categoría: %s';
+$lang['Picture name: %s'] = 'Nombre de la imagen: %s';
+$lang['Creation date: %s'] = 'Fecha de creación: %d';
+$lang['Waiting page: %s'] = 'Página en espera: %s';
+$lang['Picture uploaded by %s'] = 'Imagen subida por %s';
+// --------- Starting below: New or revised $lang ---- from version 1.7.1
+$lang['guest_must_be_guest'] = 'El estatuto de usuario "huésped" no corresponde, se utilizará el estatuto por defecto. Por favor avísele al webmaster.';
+// --------- Starting below: New or revised $lang ---- from Butterfly (2.0)
+$lang['Administrator, webmaster and special user cannot use this method'] = 'Administradores, webmasters y usuarios especiales no pueden usar ese método';
+$lang['reg_err_mail_address_dbl'] = 'ya existe un usuario con esa misma dirección de correo electrónico';
+$lang['Category results for'] = 'Resultados de categorías para';
+$lang['Tag results for'] = 'Resultados de tags para';
+$lang['from %s to %s'] = 'del %s al %s';
+$lang['start_play'] = 'Lectura de la proyección';
+$lang['stop_play'] = 'Pausa de la proyección';
+$lang['start_repeat'] = 'Repetir la proyección';
+$lang['stop_repeat'] = 'No repetir la proyección';
+$lang['inc_period'] = 'Disminuir la velocidad de proyección';
+$lang['dec_period'] = 'Acelerar la velocidad de proyección';
+$lang['Submit'] = 'Enviar';
+$lang['Yes'] = 'Sí';
+$lang['No'] = 'No';
+$lang['%d element']='%d imagen';
+$lang['%d elements']='%d imágenes';
+$lang['%d element are also linked to current tags'] = '%d imagen también está relacionada con los tags actuales';
+$lang['%d elements are also linked to current tags'] = '%d imágenes también están relacionadas con los tags actuales';
+$lang['See elements linked to this tag only'] = 'Ver únicamente las imágenes relacionadas a ese tag';
+$lang['elements posted during the last %d days'] = 'imágenes agregadas los últimos días';
+$lang['Choose an image'] = 'Elegir una imagen para agregar';
+$lang['Piwigo Help'] = 'Ayuda de Piwigo';
+$lang['Rank'] = 'Rango';
+$lang['group by letters'] = 'reagrupar por letras';
+$lang['letters'] = 'letras';
+$lang['show tag cloud'] = 'mostrar la nube de tags';
+$lang['cloud'] = 'nube';
+?>
Index: branches/2.0/language/es_AR/index.php
===================================================================
--- branches/2.0/language/es_AR/index.php	(revision 3952)
+++ branches/2.0/language/es_AR/index.php	(revision 3952)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: branches/2.0/language/es_AR/iso.txt
===================================================================
--- branches/2.0/language/es_AR/iso.txt	(revision 3952)
+++ branches/2.0/language/es_AR/iso.txt	(revision 3952)
@@ -0,0 +1,1 @@
+Castellano [AR]
Index: branches/2.0/language/pt_BR/index.php
===================================================================
--- branches/2.0/language/pt_BR/index.php	(revision 3952)
+++ branches/2.0/language/pt_BR/index.php	(revision 3952)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: branches/2.0/language/pt_PT/index.php
===================================================================
--- branches/2.0/language/pt_PT/index.php	(revision 3952)
+++ branches/2.0/language/pt_PT/index.php	(revision 3952)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>