Index: /extensions/event_cats/language/en_UK/help.html
===================================================================
--- /extensions/event_cats/language/en_UK/help.html	(revision 3963)
+++ /extensions/event_cats/language/en_UK/help.html	(revision 3963)
@@ -0,0 +1,30 @@
+<h2>Event Cats</h2>
+
+<p>Identify an account thanks to a single URL</p>
+
+<!--
+<p>Pour pouvoir fonctionner correctement javascript doit être activé sur 
+votre navigateur.</p>
+
+<h3>Utilisation</h3>
+
+<p>Pour télécharger les images de votre choix il faut les séléctionner en cochant
+la case sous la vignette, ou bien cliquer sur le bouton <span class="pwgScreen">Tout cocher</span>.
+Ensuite il faut cliquer sur le bouton <span class="pwgScreen">Ajouter au panier</span>. Un message
+apparait en bas de la page :
+<blockquote>Vous avez actuelement 10 image(s) dans votre panier.
+Merci de vider le panier avant de commencer une nouvelle sélection.</blockquote></p>
+
+<p>Pour voir le contenu de votre panier, cliquer sur le bouton <span class="pwgScreen">Voir le panier</span>.
+Depuis cet écran vous pouvez connaitre le type d'images dans votre panier et en supprimer (une à une) en
+cliquant sur la croix rouge.</p>
+
+<p>Pour télécharger votre panier, cliquer sur le bouton <span class="pwgScreen">Télécharger le panier</span>.
+Il vous est demandez de préciser un préfixe pour les fichiers zip, vous pouvez laissé celui par défaut. 
+Pour passer à l'étape suivante cliquer sur le bouton <span class="pwgScreen">Envoyer</span>. Une liste de fichier
+apparait. Pour récupérer les fichiers archives il suffit de cliquer sur le nom des fichiers, votre navigateur 
+vous proposera une action. Depuis cet écran vous pouvez supprimer les archives zip. Soit vous sélectionner toute
+les archives en cliquant sur le bouton <span class="pwgSreen">Sélectioner</span>, ou alors fichier par fichier en 
+cochant la case à côté du nom du fichier. Ensuite cliquer sur le bouton <span class="pwgScreen">Supprimer</span> pour
+supprimer les fichiers sélectionner.</p>
+-->
Index: /extensions/event_cats/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/event_cats/language/en_UK/plugin.lang.php	(revision 3963)
+++ /extensions/event_cats/language/en_UK/plugin.lang.php	(revision 3963)
@@ -0,0 +1,25 @@
+<?php
+
+/*
+Language module for plugin Even Cats
+English
+LucMorizur June - ... 2009
+*/
+
+// $ec_err :
+$lang['ec_err_AP_fail'] = 'Reference to an Additional Page which doesn\'t exist'; // 1
+$lang['ec_err_cod_dupl_frbdn'] = 'Code should be unique '; // 2
+$lang['ec_err_AP_miss'] = 'Redirection to Additional Page, but AP not specified'; // 3
+$lang['ec_err_USR_fail'] = 'An entry associates a code to an unknown user_id or username'; // 4
+$lang['ec_err_CAT_fail'] = 'An unknown category has been given as arg1'; // 5
+$lang['ec_err_IMG_fail'] = 'An image id not found in a certain category, has been given as arg2'; // 6
+$lang['ec_err_USR_prbl'] = 'User not clear'; // 7
+$lang['ec_err_USR_dupl'] = 'Code is associated to more than one user_id'; // 8
+$lang['ec_err_CAT_miss'] = 'Category id misses'; // 9
+$lang['ec_err_IMG_miss'] = 'Image id misses'; // 10
+$lang['ec_err_forced_prbl'] = 'Outdated code should always be forced'; // 11
+
+
+// $lang[''] = '';
+
+?>
Index: /extensions/event_cats/language/fr_FR/help.html
===================================================================
--- /extensions/event_cats/language/fr_FR/help.html	(revision 3963)
+++ /extensions/event_cats/language/fr_FR/help.html	(revision 3963)
@@ -0,0 +1,30 @@
+<h2>Event Cats</h2>
+
+<p>Identifier un compte sur un seul URL</p>
+
+<!--
+<p>Pour pouvoir fonctionner correctement javascript doit être activé sur 
+votre navigateur.</p>
+
+<h3>Utilisation</h3>
+
+<p>Pour télécharger les images de votre choix il faut les séléctionner en cochant
+la case sous la vignette, ou bien cliquer sur le bouton <span class="pwgScreen">Tout cocher</span>.
+Ensuite il faut cliquer sur le bouton <span class="pwgScreen">Ajouter au panier</span>. Un message
+apparait en bas de la page :
+<blockquote>Vous avez actuelement 10 image(s) dans votre panier.
+Merci de vider le panier avant de commencer une nouvelle sélection.</blockquote></p>
+
+<p>Pour voir le contenu de votre panier, cliquer sur le bouton <span class="pwgScreen">Voir le panier</span>.
+Depuis cet écran vous pouvez connaitre le type d'images dans votre panier et en supprimer (une à une) en
+cliquant sur la croix rouge.</p>
+
+<p>Pour télécharger votre panier, cliquer sur le bouton <span class="pwgScreen">Télécharger le panier</span>.
+Il vous est demandez de préciser un préfixe pour les fichiers zip, vous pouvez laissé celui par défaut. 
+Pour passer à l'étape suivante cliquer sur le bouton <span class="pwgScreen">Envoyer</span>. Une liste de fichier
+apparait. Pour récupérer les fichiers archives il suffit de cliquer sur le nom des fichiers, votre navigateur 
+vous proposera une action. Depuis cet écran vous pouvez supprimer les archives zip. Soit vous sélectionner toute
+les archives en cliquant sur le bouton <span class="pwgSreen">Sélectioner</span>, ou alors fichier par fichier en 
+cochant la case à côté du nom du fichier. Ensuite cliquer sur le bouton <span class="pwgScreen">Supprimer</span> pour
+supprimer les fichiers sélectionner.</p>
+-->
Index: /extensions/event_cats/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/event_cats/language/fr_FR/plugin.lang.php	(revision 3963)
+++ /extensions/event_cats/language/fr_FR/plugin.lang.php	(revision 3963)
@@ -0,0 +1,141 @@
+﻿<?php
+
+/*
+Language module for plugin Even Cats
+French (Français)
+LucMorizur June - ... 2009
+*/
+
+// In template
+// Upper banner
+$lang['ec_tab_autoid']            = 'Identification automatique';
+$lang['ec_tab_config']            = 'Configuration générale';
+$lang['ec_help']                  = 'A l\'aide !';
+// Autolog area
+$lang['ec_javascript_needed']     = 'Javascript DOIT être activé sur votre navigateur pour un fonctionnement correct de cette page !';
+$lang['ec_admin_page_title']      = 'Event Categories';
+$lang['ec_admin_page_howto']      = 'Event Categories, pour catégories événementielles :<br>cette extension permet d\'identifier automatiquement un compte ("autolog"), et de dupliquer le compte sous lequel un visiteur est identifié ("duplication").<br><br>Merci au Forum, plg, ddtddt, flipflip, P@t pour le code principal :-) !';
+$lang['ec_plugin_ap_ok']          = 'Plugin Additional Pages : actif';
+$lang['ec_plugin_ap_nok']         = 'Plugin <a href = "http://fr.piwigo.org/ext/extension_view.php?eid=153" title = "Ouvrir une nouvelle fenêtre sur le plugin Additional Pages" target = "_blank">Additional Pages</a> : inactif';
+$lang['ec_entry_table_title']     = 'Entrées du paramètre "autolog"';
+// Table
+$lang['ec_col_name_entry']        = 'Entrée';
+$lang['ec_col_name_code']         = 'Code';
+$lang['ec_col_name_user']         = 'Utilisateur';
+$lang['ec_col_name_bhvr']         = 'Identification ?';
+$lang['ec_col_name_dspl']         = 'Page affichée';
+$lang['ec_col_name_actn']         = 'Outils';
+$lang['ec_show_URL']              = 'URL : ';
+$lang['ec_url_tooltip']           = 'Copiez l\'adresse du lien pour le transmettre';
+$lang['ec_test_tooltip']          = 'Tester l\'URL ( => déconnexion admin.)';
+$lang['ec_url_delete']            = 'Supprimer l\'entrée';
+$lang['ec_url_disable']           = 'Rendre l\'entrée périmée';
+$lang['ec_url_forced']            = 'Ne plus forcer ce code à afficher cette page';
+$lang['ec_url_nforced']           = 'Forcer ce code à afficher cette page';
+$lang['ec_url_duplicate']         = 'Recopier ce code pour une nouvelle entrée';
+// New entry
+$lang['ec_create_modify_code']    = 'Nouvelle entrée';
+$lang['ec_new_full_auto']         = 'Tout automatique : nouveau code et nouvel utilisateur d\'après page à afficher ci-dessous';
+$lang['ec_new_entry']             = 'Code';
+$lang['ec_new_entry_button']      = 'Générer un code automatiquement';
+$lang['ec_gen_code_nb_pre']       = 'de';
+$lang['ec_gen_code_nb_max']       = ' (max)';
+$lang['ec_gen_code_nb_end']       = 'caractères';
+$lang['ec_up_code_lbl_user']      = 'Utilisateur identifié';
+$lang['ec_up_code_lbl_user_none'] = 'Aucun (accès refusé)';
+$lang['ec_up_code_lbl_user_new']  = 'Nouvel utilisateur :';
+$lang['ec_new_user_name']         = 'Nom d\'utilisateur';
+$lang['ec_new_user_pswd']         = 'Mot de passe';
+$lang['ec_up_code_lbl_gen_user']  = 'Générer un nom d\'utilisateur d\'après l\'action choisie';
+$lang['ec_up_code_lbl_user_old']  = 'Utilisateur existant :';
+$lang['ec_up_code_lbl_home']      = 'Accueil';
+$lang['ec_up_code_lbl_action']    = 'Page affichée';
+$lang['ec_up_code_lbl_aps']       = 'Additional Page';
+$lang['ec_up_code_lbl_cats']      = 'Catégorie';
+$lang['ec_up_code_lbl_img']       = 'Image';
+// JS checks
+$lang['ec_confirm_test']          = "Vraiment tester le code sélectionné ?\n\rCela terminera votre session d'administration.";
+$lang['ec_confirm_disable']       = "Vraiment rendre périmé le code sélectionné ?\n\rCela supprimera toutes les autres entrées utilisant le même code, s'il y en a.";
+$lang['ec_confirm_delete']        = "Vraiment supprimer le code sélectionné ?\n\rCela supprimera toutes les autres entrées utilisant le même code, s'il y en a.";
+$lang['ec_gen_user_act_miss']     = 'Sélectionnez d\'abord une page à afficher';
+$lang['ec_act_cat_miss']          = 'Catégorie ?';
+$lang['ec_new_pwd_gen']           = 'Pensez à NOTER le mot de passe !';
+
+// In PHP files
+// Errors
+$lang['ec_action_pb']             = 'Champ "action" corrompu (plusieurs valeurs pour un même code dans la base de données)';
+$lang['ec_username_pb']           = 'Champ "user_id" corrompu (plusieurs valeurs pour un même code dans la base de données)';
+$lang['ec_forced_pb']             = 'Champ "forced" corrompu (au moins une fois "true" pour un même code dans la base de données)';
+$lang['ec_username_miss']         = 'Utilisateur inexistant (probablement supprimé)';
+$lang['ec_category_miss']         = 'Catégorie inexistante (probablement supprimée)';
+$lang['ec_image_miss']            = 'Image inexistante (probablement supprimée)';
+$lang['ec_add_page_miss']         = 'Page Additional Pages inexistante (probablement supprimée)';
+$lang['ec_entry_del_nok_pre']     = 'Problème avec suppression entrée ';
+$lang['ec_entry_del_nok_end']     = '';
+$lang['ec_entry_dis_nok_pre1']    = 'Problème avec tentative de rendre périmée entrée ';
+$lang['ec_entry_dis_nok_end1']    = '';
+$lang['ec_entry_dis_nok_pre2']    = 'Problème avec tentative de rendre périmée entrée ';
+$lang['ec_entry_dis_nok_mid2']    = ' (lié à Add. Page n°';
+$lang['ec_entry_dis_nok_end2']    = ')';
+$lang['ec_entry_dis_nok_pre3']    = 'Problème avec tentative de rendre périmée entrée ';
+$lang['ec_entry_dis_nok_end3']    = ' (arg1 = NULL)';
+// Infos
+$lang['ec_entry_del_ok_pre']      = 'Entrée ';
+$lang['ec_entry_del_ok_end']      = ' supprimée';
+$lang['ec_entry_dis_ok_pre1']     = 'Entrée ';
+$lang['ec_entry_dis_ok_end1']     = ' maintenant périmée';
+$lang['ec_entry_dis_ok_pre2']     = ', renvoie vers Additional Page n°';
+$lang['ec_entry_dis_ok_mid2']     = ' : ';
+$lang['ec_entry_dis_ok_end2']     = '';
+
+// Table
+//   actions
+$lang['ec_ok']                    = 'OUI';
+$lang['ec_ok_forced_pb']          = 'OUI (page non forcée)';
+$lang['ec_ok_ap_pb']              = 'OUI (Add. Page inconnue)';
+$lang['ec_ok_cat_pb']             = 'OUI (catégorie inconnue)';
+$lang['ec_ok_img_pb']             = 'OUI (image inconnue)';
+$lang['ec_nok']                   = 'NON';
+$lang['ec_nok_ap_pb']             = 'NON';
+$lang['ec_nok_userid_miss']       = 'NON (utilisateur inconnu)';
+$lang['ec_nok_action_pb']         = 'NON ("action" corrompu)';
+$lang['ec_nok_userid_pb']         = 'NON ("user_id" corrompu)';
+// Username can't be displayed
+$lang['ec_dspl_nok_actn']         = '"action" inutilisable';
+$lang['ec_dspl_usr_pb']           = '"user_id" inutilisable';
+$lang['ec_dspl_nok_usr_pre']      = 'Utilisateur n°';
+$lang['ec_dspl_nok_usr_mid1']     = ' (';
+$lang['ec_dspl_nok_usr_mid2']     = ' )';
+$lang['ec_dspl_nok_usr_end']      = ' n\'existe pas';
+//   displayed pages
+$lang['ec_dspl_ok_home']          = 'Accueil';
+$lang['ec_dspl_ok_acc_denied']    = 'Accès refusé';
+$lang['ec_dspl_ok_cat_pre']       = 'Catégorie n°';
+$lang['ec_dspl_ok_cat_mid']       = ' : ';
+$lang['ec_dspl_ok_cat_end']       = '';
+$lang['ec_dspl_ok_img1_pre']      = 'Catégorie n°';
+$lang['ec_dspl_ok_img1_mid']      = ' : ';
+$lang['ec_dspl_ok_img1_end']      = ' ; ';
+$lang['ec_dspl_ok_img2_pre']      = 'image n°';
+$lang['ec_dspl_ok_img2_mid1']     = ' : ';
+$lang['ec_dspl_ok_img2_mid2']     = ' (';
+$lang['ec_dspl_ok_img2_end']      = ')';
+$lang['ec_dspl_ok_ap_pre']        = 'Additional Page n°';
+$lang['ec_dspl_ok_ap_mid']        = ' : ';
+$lang['ec_dspl_ok_ap_end']        = '';
+$lang['ec_dspl_nok_home']         = 'Accueil';
+$lang['ec_dspl_nok_acc_denied']   = 'Accès refusé';
+$lang['ec_dspl_nok_ap_pre']       = ' (Additional Page n°';
+$lang['ec_dspl_nok_ap_end']       = ' n\'existe pas)';
+$lang['ec_dspl_nok_cat_pre']      = ' (catégorie n°';
+$lang['ec_dspl_nok_cat_end']      = ' n\'existe pas)';
+$lang['ec_dspl_nok_img1_pre']     = ' (catégorie n°';
+$lang['ec_dspl_nok_img1_end']     = ' n\'existe pas)';
+$lang['ec_dspl_nok_img2_pre']     = ' (image n°';
+$lang['ec_dspl_nok_img2_mid']     = ' n\'existe pas dans catégorie n°';
+$lang['ec_dspl_nok_img2_end']     = ')';
+
+
+// $lang['']   = '';
+
+?>