Index: /extensions/CommentEditor/branches/2.0/language/es_ES/description.txt
===================================================================
--- /extensions/CommentEditor/branches/2.0/language/es_ES/description.txt	(revision 3976)
+++ /extensions/CommentEditor/branches/2.0/language/es_ES/description.txt	(revision 3976)
@@ -0,0 +1,1 @@
+Permita corregir el comentario
Index: /extensions/CommentEditor/branches/2.0/language/es_ES/index.php
===================================================================
--- /extensions/CommentEditor/branches/2.0/language/es_ES/index.php	(revision 3976)
+++ /extensions/CommentEditor/branches/2.0/language/es_ES/index.php	(revision 3976)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/CommentEditor/branches/2.0/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/CommentEditor/branches/2.0/language/es_ES/plugin.lang.php	(revision 3976)
+++ /extensions/CommentEditor/branches/2.0/language/es_ES/plugin.lang.php	(revision 3976)
@@ -0,0 +1,41 @@
+<?php
+/* $Id$ */
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+global $lang;
+
+// ==================================================================
+// Edit block
+$lang['ce_edit'] = 'Edición de comentario';
+$lang['ce_author'] = 'Autor';
+$lang['ce_author_free'] = 'Elección libre del autor';
+$lang['ce_content'] = 'Comentario';
+$lang['ce_edit_tool'] = 'Editar';
+$lang['ce_close_editor_title'] = 'Cerrar el bloque de edición';
+$lang['ce_close_editor_alt'] = 'Cerrarse';
+
+// ==================================================================
+// Message block
+$lang['ce_'.CE_TYPE_INFO] = 'Información';
+$lang['ce_'.CE_TYPE_ERROR] = 'Error';
+$lang['ce_edit_forbidden'] = 'No eres autorizado a editar este comentario';
+$lang['ce_access_invalid'] = 'Acceso inválido';
+$lang['ce_close_message_title'] = 'Cerrar el bloque de mensaje';
+$lang['ce_close_message_alt'] = 'Cerrarse';
+
+// ==================================================================
+// Config
+$lang['ce_inconsistent_version'] = '%s : números de versión incoherentes';
+$lang['ce_no_unlink'] = 'La función \'unlink\' No está disponible';
+$lang['ce_unlink_errors'] = 'Errores se efectuaron en el momento de la supresión de ficheros';
+$lang['ce_config_saved'] = 'Configuración salvada con éxito';
+$lang['ce_config_saved_with_errors'] = 'Configuración salvada pero con errores';
+$lang['ce_button_submit'] = 'Validar';
+
+// ==================================================================
+// Config tab
+$lang['ce_tab_config'] = 'Configuración';
+$lang['ce_config_desc'] = 'Configuración principal del plugin';
+$lang['ce_label_config'] = 'Configuración general';
+$lang['ce_label_display_info'] = 'Fijar los mensajes informativos';
+$lang['ce_label_display_error'] = 'Fijar los mensajes de errores';
+?>
Index: /extensions/CommentEditor/trunk/language/es_ES/description.txt
===================================================================
--- /extensions/CommentEditor/trunk/language/es_ES/description.txt	(revision 3976)
+++ /extensions/CommentEditor/trunk/language/es_ES/description.txt	(revision 3976)
@@ -0,0 +1,1 @@
+Permita corregir el comentario
Index: /extensions/CommentEditor/trunk/language/es_ES/index.php
===================================================================
--- /extensions/CommentEditor/trunk/language/es_ES/index.php	(revision 3976)
+++ /extensions/CommentEditor/trunk/language/es_ES/index.php	(revision 3976)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/CommentEditor/trunk/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/CommentEditor/trunk/language/es_ES/plugin.lang.php	(revision 3976)
+++ /extensions/CommentEditor/trunk/language/es_ES/plugin.lang.php	(revision 3976)
@@ -0,0 +1,41 @@
+<?php
+/* $Id$ */
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+global $lang;
+
+// ==================================================================
+// Edit block
+$lang['ce_edit'] = 'Edición de comentario';
+$lang['ce_author'] = 'Autor';
+$lang['ce_author_free'] = 'Elección libre del autor';
+$lang['ce_content'] = 'Comentario';
+$lang['ce_edit_tool'] = 'Editar';
+$lang['ce_close_editor_title'] = 'Cerrar el bloque de edición';
+$lang['ce_close_editor_alt'] = 'Cerrarse';
+
+// ==================================================================
+// Message block
+$lang['ce_'.CE_TYPE_INFO] = 'Información';
+$lang['ce_'.CE_TYPE_ERROR] = 'Error';
+$lang['ce_edit_forbidden'] = 'No eres autorizado a editar este comentario';
+$lang['ce_access_invalid'] = 'Acceso inválido';
+$lang['ce_close_message_title'] = 'Cerrar el bloque de mensaje';
+$lang['ce_close_message_alt'] = 'Cerrarse';
+
+// ==================================================================
+// Config
+$lang['ce_inconsistent_version'] = '%s : números de versión incoherentes';
+$lang['ce_no_unlink'] = 'La función \'unlink\' No está disponible';
+$lang['ce_unlink_errors'] = 'Errores se efectuaron en el momento de la supresión de ficheros';
+$lang['ce_config_saved'] = 'Configuración salvada con éxito';
+$lang['ce_config_saved_with_errors'] = 'Configuración salvada pero con errores';
+$lang['ce_button_submit'] = 'Validar';
+
+// ==================================================================
+// Config tab
+$lang['ce_tab_config'] = 'Configuración';
+$lang['ce_config_desc'] = 'Configuración principal del plugin';
+$lang['ce_label_config'] = 'Configuración general';
+$lang['ce_label_display_info'] = 'Fijar los mensajes informativos';
+$lang['ce_label_display_error'] = 'Fijar los mensajes de errores';
+?>